# Plugin base class



class BasePlugin():
    """ Base class for plugins. A plugin is a tool or feature that can extend the application.
    All application features are implemented as a plugin. The list of plugins can be seen in the toolbar.
    """
    def name(self) -> str:
        raise NotImplementedError()
    
    def version(self) -> str:
        raise NotImplementedError()
    
    def startup(self, window, toolbar, application):
        raise NotImplementedError()
    
    def teardown(self, window, toolbar, application):
        raise NotImplementedError()