# Qt widget to select/render satellite data.
# this ties together the renderer and source plugins


from PySide6.QtCore import QObject
from PySide6.QtWidgets import QPushButton, QSplitter, QVBoxLayout, QWidget, QGridLayout
from pyqtgraph import ImageView
from pyqtgraph.dockarea import Dock
from pyqtgraph.parametertree import ParameterTree

class SatellaUI(QObject):

    def __init__(self, parent = None) -> None:
        super().__init__(parent)

        self.splitter = split = QSplitter()


        self.param_tree = ParameterTree(split)

        self.run_button = QPushButton("Execute", split)

        split.addWidget(self.param_tree)
        split.addWidget(self.run_button)

        self.viewer = ImageView(split, "Data")

        split.addWidget(self.viewer)

        self._dock = None
    @property
    def dock(self):
        if self._dock is not None:
            return self._dock
        self._dock = Dock("Satellaview", widget=self.splitter)
        return self._dock